/*
 * Copyright (C) 2010 Julien VAUBOURG
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 */

package tortues;

import java.awt.Point;
import java.awt.Dimension;

/** All commands for the turtle */
enum Commands {
	FD, BD,
	LT, RT,
	PENUP, PENDOWN,
	CLEAR,
	BC,
	ANSWER,
	ORIGIN, CENTER,
	REPLAY,
	SAVE, OPEN,
	HELP, EXIT
}

/** Main
  * @author <a href="http://julien.vaubourg.com">Julien VAUBOURG</a>
  * @version 0.2 (2010-10-12)
  */
public class Main {
	public static void main(String args[]) {

		// If the software is called with "help", the HELP file is
		// writed on console
		if(args.length > 0 && args[0].equals("help")) {
			Controller.help();

		} else {

			// Controller
			Controller controller = new Controller(

				// Model
				new Tortoise()
			);

			// View
			Screen screen = new Screen(
				new Dimension(640, 400),
				controller
			);

			controller.setView(screen);
		}
	}
}
